#pragma once


// CPlot

class CPlot : public CStatic
{
        DECLARE_DYNAMIC(CPlot)

public:
        CPlot();
        virtual ~CPlot();
        void SetPoints(CArray<LARGE_INTEGER, LARGE_INTEGER> & times);
        void ClearTicks();
        void AddTime(double t, UINT threads);
        void ClearTimes();
        void AddTick(int section, int tn, DWORD t);
protected:
        afx_msg void OnPaint();
        DECLARE_MESSAGE_MAP()
        //****************************************************************
        // These are used to plot the time/thread sawtooth
        CArray<CPoint, CPoint> points;
        int ymax;
        CDWordArray polypoints;

        //****************************************************************
        // These are used for the x=nthreads y=time plot
        //****************************************************************
        class data {
            public:
               data(double t) { value = t; }
               data() { value = -1.0; }
               double GetValue() { return value; }
            protected:
               double value;
        };
        
        CArray<CPoint, CPoint> tpoints;
        int firsttime;
        CArray<data, data&> times;
        //****************************************************************
        // These are used to plot ticks
        //****************************************************************
        class TickInfo {
            public:
               TickInfo() { section = 0; threadno = 0; time = 0; }
               TickInfo(int sec, int tn, DWORD t) { section = sec; threadno = tn; time = t; }
               DWORD GetTime() { return time; }
               int GetThreadNo() { return threadno; }
               int GetSection() { return section; }
            protected:
               int section;
               int threadno;
               DWORD time;
        };

        CArray<TickInfo, TickInfo&> ticks;

};


