#include "stdafx.h"

#include "colors.h"

static const COLORREF colors[] = {
   RGB(255,   0,   0),  // Red
   RGB(255,  97,  15),  // Orange
   RGB(255, 255,   0),  // Yellow
   RGB(169, 255,  40),  // yellow-green
   RGB(  0, 255,   0),  // Green
   RGB(  5, 163, 155),  // blue-green
   RGB(  0,   0, 255),  // Blue
   RGB(128,   0, 128),  // Violet
};


/****************************************************************************
*                                  GetColor
* Inputs:
*       int i: Color value
* Result: COLORREF
*       Selected color
****************************************************************************/

COLORREF GetColor(int i)
   {
    return colors[i % (sizeof(colors)/sizeof(colors[0]))];     
   } // GetColor
