#pragma once


// CMultiProgressBar

class CMultiProgressBar : public CStatic
{
        DECLARE_DYNAMIC(CMultiProgressBar)

public:
        CMultiProgressBar();
        virtual ~CMultiProgressBar();
        void SetRange(int low, int high);
        void SetPos(int segment, int pos);
        void SetSegments(int segments);

protected:
        void InvalidateSegment(int n);
        int ValueToX(int seg, int pos);
        afx_msg void OnPaint();
        DECLARE_MESSAGE_MAP()
        class Limit {
            public:
               int start;
               int current;
               Limit() { start = current = 0; }
        };
        CArray<Limit, Limit&> limits;
        void PrepareDC(CDC & dc);
        int segments;
        int low;
        int high;
};


